Skip to main content
POST
/
api
/
{projectId}
/
jobs
/
performance-calibration
Performance Calibration
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/performance-calibration \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "backgroundNoiseLabel": "<string>",
  "otherNoiseLabels": [
    "<string>"
  ],
  "uploadKey": "<string>",
  "sampleLengthMinutes": 123
}
'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/performance-calibration"

payload = {
"backgroundNoiseLabel": "<string>",
"otherNoiseLabels": ["<string>"],
"uploadKey": "<string>",
"sampleLengthMinutes": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
backgroundNoiseLabel: '<string>',
otherNoiseLabels: ['<string>'],
uploadKey: '<string>',
sampleLengthMinutes: 123
})
};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/performance-calibration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "id": 12873488112,
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Query Parameters

impulseId
integer

Impulse ID. If this is unset then the default impulse is used.

Body

application/json
backgroundNoiseLabel
string
required

The label used to signify background noise in the impulse

otherNoiseLabels
string[]

Any other labels that should be considered equivalent to background noise

uploadKey
string

The key of an uploaded sample. If not present, a synthetic sample will be created.

sampleLengthMinutes
number

The length of sample to create (required for synthetic samples)

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

id
integer
required

Job identifier. Status updates will include this identifier.

Example:

12873488112

error
string

Optional error description (set if 'success' was false)